## pygrace 0.5

=== Makefile ===
DESTDIR =

all:

clean:
	rm -rf build pygrace.egg-info/
	rm -f *~
	rm -rf *.pyc __pycache__

install: all
	python setup.py install --root=$(DESTDIR) --prefix=/usr --no-compile -O0
	python3 setup.py install --root=$(DESTDIR) --prefix=/usr --no-compile -O0

.PHONY = clean all install

## pygrace 0.4p2

=== debian/changelog ===
pygrace (0.4p2-3) unstable; urgency=low

  * added --with python2 in debian/rules. Closes: #642457

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 23 Sep 2011 18:00:36 +0200

pygrace (0.4p2-2) unstable; urgency=low

  * removed the build-dependency on python-central, added one on 
    python-setuptools. Closes: #640039

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 01 Sep 2011 23:46:22 +0200

pygrace (0.4p2-1) unstable; urgency=low

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 27 Aug 2011 00:12:16 +0200

pygrace (0.4-5) unstable; urgency=low

  * modified the Makefile debian/rules and debian/control. Closes: #628355
  * updated Standards-Version to 3.9.2

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 10 Jun 2011 22:33:22 +0200

pygrace (0.4-4) unstable; urgency=low

  * relaxed a little the constraint on the version number of grace.
  * cleaned the debian directory from useless files

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 13 Apr 2011 23:15:05 +0200

pygrace (0.4-3) unstable; urgency=low

  * added a __repr__ method as python 2.6.6 requires it to be defined.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 02 Apr 2011 18:53:31 +0200

pygrace (0.4-2) unstable; urgency=low

  * upgraded to new standards of debhelper, adopted the format quilt (3.0),
    adapted to python-all
  * Initial release. Closes: #618891

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 19 Mar 2011 18:10:19 +0100

pygrace (0.4-1) unstable; urgency=low

  * first debianization work, publication at debian.ofset.org

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 15 Sep 2009 11:36:15 +0200

=== debian/control ===
Source: pygrace
Section: python
Priority: extra
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7.0.50~),  quilt,
 python-all(>=2.6.6-3), python-setuptools (>= 0.6b3)
Standards-Version: 3.9.2
Homepage: http://www.cacr.caltech.edu/~mmckerns/software.html
X-Python-Version: >= 2.5

Package: python-pygrace
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, grace (>=1:5.1.22),
 python-numpy
Description: Python bindings for grace
 Grace is a point-and-click tool that allows the user to draw X-Y plots.
 .
 So python-grace inherits: User defined scaling, tick marks, labels,
 symbols, line styles, colors. Polynomial regression, splines, running
 averages, DFT/FFT, cross/auto-correlation, etc.
 .
 In addition, python-grace interacts nicely with numpy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh  $@ --with python2

override_dh_auto_install:
	make install DESTDIR=debian/python-pygrace

override_dh_auto_clean:
	rm -f *.pyc
	dh_auto_clean

## pygrace 0.5

=== debian/changelog ===
pygrace (0.5-2) unstable; urgency=medium

  * upgraded Standards-Version to 4.1.4, dh level to 10
  * added a build-dependency on dh-python
  * upgraded python-version fields
  * set the priority to optional
  * added vcs stuff

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 23 May 2018 16:26:11 +0200

pygrace (0.5-1) unstable; urgency=medium

  * Changed my DEBEMAIL
  * Adapted for Python3
  * added the binary package python3-pygrace as a new output package
  * rewritten libraries to be more pythonish, and tested the compliance
    with Expeyes which depends on those libraries

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 22 Jun 2016 11:51:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: pygrace
 Section: python
-Priority: extra
-Maintainer: Georges Khaznadar <georgesk@ofset.org>
-Build-Depends: debhelper (>= 7.0.50~),  quilt,
- python-all(>=2.6.6-3), python-setuptools (>= 0.6b3)
-Standards-Version: 3.9.2
+Priority: optional
+Maintainer: Georges Khaznadar <georgesk@debian.org>
+Build-Depends: debhelper (>= 10),  quilt,
+ python-all(>=2.6.6-3), python-setuptools (>= 0.6b3),
+ python3-all, dh-python
+Standards-Version: 4.1.1
 Homepage: http://www.cacr.caltech.edu/~mmckerns/software.html
-X-Python-Version: >= 2.5
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.5
+Vcs-Browser: https://salsa.debian.org/georgesk/pygrace
+Vcs-Git: https://salsa.debian.org/georgesk/pygrace.git
 
 Package: python-pygrace
 Architecture: all
@@ -20,3 +24,16 @@
  averages, DFT/FFT, cross/auto-correlation, etc.
  .
  In addition, python-grace interacts nicely with numpy.
+
+Package: python3-pygrace
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}, grace (>=1:5.1.22),
+ python3-numpy
+Description: Python3 bindings for grace
+ Grace is a point-and-click tool that allows the user to draw X-Y plots.
+ .
+ So python3-grace inherits: User defined scaling, tick marks, labels,
+ symbols, line styles, colors. Polynomial regression, splines, running
+ averages, DFT/FFT, cross/auto-correlation, etc.
+ .
+ In addition, python-grace interacts nicely with numpy.

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,5 @@
 
 
 %:
-	dh  $@ --with python2
+	dh  $@ --with python2 --with python3
 
-override_dh_auto_install:
-	make install DESTDIR=debian/python-pygrace
-
-override_dh_auto_clean:
-	rm -f *.pyc
-	dh_auto_clean

## pygrace 0.6

=== debian/changelog ===
pygrace (0.6-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable)

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 18:56:39 +0100

pygrace (0.6-2) unstable; urgency=medium

  * disabled tests during the package buld, since they are not reliably
    run by x86-csail-02. Citation:
    ----
    Note: this error has many possible causes, so please don't comment on
    an existing issue about this - open a new one instead.
    .
    Original error was: No module named 'numpy.core._multiarray_umath'
    ----
    incidentally the "missing" module is part of python3-numpy package
    which is in the build dependencies!

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Nov 2019 12:49:04 +0100

pygrace (0.6-1) unstable; urgency=medium

  * included upstream changes
  * added --buildsystem=pybuild as an option for dh
  * test grace missing rather than xmgrace missing
  * removed Makefile; setup.py should be enough
  * created a target override_dh_auto_clean to replace the clean target
    of the deleted Makefile
  * removed the build-dependency on quilt
  * added a build-dependency on python3-numpy

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Nov 2019 19:46:40 +0100

pygrace (0.5-4) unstable; urgency=medium

  * just a release to make it a source upload

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Oct 2019 16:55:39 +0200

pygrace (0.5-3) unstable; urgency=medium

  * bumped standards-version to 4.3.0, dh level to 11
  * removed dependencies on python2. Replaced python-setuptools by
    python3-setuptools. Closes: #937450
  * removed X-Python*-Version stances
  * no longer build the package python-pygrace

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Sep 2019 18:43:11 +0200

=== debian/control ===
Source: pygrace
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13),
 python3-setuptools,
 python3-all,
 dh-python,
 python3-numpy
Standards-Version: 4.6.1
Homepage: http://www.cacr.caltech.edu/~mmckerns/software.html
Vcs-Browser: https://salsa.debian.org/georgesk/pygrace
Vcs-Git: https://salsa.debian.org/georgesk/pygrace.git

Package: python3-pygrace
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, grace,
 python3-numpy
Description: Python3 bindings for grace
 Grace is a point-and-click tool that allows the user to draw X-Y plots.
 .
 So python3-grace inherits: User defined scaling, tick marks, labels,
 symbols, line styles, colors. Polynomial regression, splines, running
 averages, DFT/FFT, cross/auto-correlation, etc.
 .
 In addition, python-grace interacts nicely with numpy.

=== debian/rules ===
--- 
+++ 
@@ -11,5 +11,13 @@
 
 
 %:
-	dh  $@ --with python2 --with python3
+	dh $@  --with python3 --buildsystem=pybuild
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf build pygrace.egg-info/
+	rm -f *~
+	rm -rf *.pyc __pycache__
+
+override_dh_auto_test:
+	echo "not running tests: they have been run previously"

## pygrace 0.7

=== debian/changelog ===
pygrace (0.7-1) unstable; urgency=medium

  * new upstream release. Closes: #1092752 as the tests are passing
    with Python3.13

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 11 Jan 2025 21:50:39 +0100

pygrace (0.6-4) unstable; urgency=medium

  * added some autopkgtest stuff. Closes: #1035221
  * bumped Standards-Version: 4.6.2
  * added debian/salsa-ci.yml and activated CI on salsa.d.o
  * patched setup.y : do not use future, improve the test for grace
  * patched tests/gracetest.py and __init__.py to use Python3,
    to enabled tests; they can be run from a command line with the command
    `python3 tests/gracetest.py`, if the current directory is named
    pygrace ; otherwise, the test requires the package to be installed
    previously

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 17 Jan 2024 15:39:21 +0100

=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,9 @@
 	rm -rf *.pyc __pycache__
 
 override_dh_auto_test:
-	echo "not running tests: they have been run previously"
+	echo "test can  be run from a command line with the command"
+	echo "`python3 tests/gracetest.py`, if the current directory"
+	echo "is named pygrace ; otherwise, the test requires the"
+	echo "package to be installed previously"
+
+

=== debian/tests/control ===
Tests: run_gracetest
Depends: python3-sympy,
 grace,
 xvfb,
 xauth,
 @
